Function
readUntilChar
Read characters from stream into buffer until Char is encountered
readUntilChar(TBuffer & buffer, RecordReader<TStream, TPass> & recordReader, TChar const & x)
Include Headers
seqan/stream.h
Parameters

buffer | The buffer to write to Types: CharString, DnaString, or similar
recordReader | The RecordReader to read from. Types: RecordReader
x | The character to stop on Types: char or similar

Remarks
This function stops *on* the character x. It is not written to buffer.
Return Values
0 if there was no error reading
non-zero value on errors, especially EOF_BEFORE_SUCCESS
Types: int, TokenizeResult
Member of
RecordReader
See Also
TokenizeResult, skipUntilChar
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58